#include <Servo.h>
 
// Output pin for servo
#define SERVO_PIN               PB0
// Position of first output
#define OUTPUT_POSITION_START   52
// Offset value between output positions
#define OUTPUT_POSITION_OFFSET  18.0
// Position of first output
#define OUTPUT_NUMBER           5
 
// Servo that is connected to the water pipe router
Servo routerServo;
// Stores the currently selected output
uint8_t currentOutput;
 
void setOutput(uint8_t output)
{
  // Set to the first position by default
  int servoVal = OUTPUT_POSITION_START;
 
  // Check input parameter
  if (output < OUTPUT_NUMBER)
  {
    // Set servo to the proper value
    servoVal += (output * OUTPUT_POSITION_OFFSET);
    routerServo.write(servoVal);
  }
}
 
void setup()
{
  Serial.begin(9600);
   
  // Initialize servo
  routerServo.attach(SERVO_PIN);
  currentOutput = 0;
}
 
void loop()
{
  // Set current output
  setOutput(currentOutput);
  Serial.print("Current output: ");
  Serial.println(currentOutput);
 
  // Change output in next cycle
  if (++currentOutput >= OUTPUT_NUMBER)
    currentOutput = 0;
   
  delay(2000);
}
